View Issue Details

IDProjectCategoryView StatusLast Update
0000809SymmetricDSImprovementpublic2014-02-02 20:53
ReportermhanesAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.4 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000809: Firebird trigger template improvement for generators.
DescriptionIn "FirebirdTriggerTemplate.java" an improvement can be made to the use of the Firebird generators. Instead of

select gen_id($(defaultSchema)GEN_$(prefixName)_data_data_id, 1) from rdb$database into :id;

use the more efficient code

id = gen_id($(defaultSchema)GEN_$(prefixName)_data_data_id, 1);

(see https://sourceforge.net/projects/symmetricds/forums/forum/739237/topic/5633108)
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000129

Prepare for release

Related Changesets

SymmetricDS: master 3bdf79c9

2012-12-01 11:17:18

chenson

Details Diff
0000809: Firebird trigger template improvement for generators.
0000809
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-09-10 10:09 mhanes New Issue
2012-09-16 11:36 chenson Assigned To => chenson
2012-09-16 11:36 chenson Status new => assigned
2012-09-16 11:36 chenson Target Version => 3.2.0
2012-12-01 11:16 chenson Status assigned => resolved
2012-12-01 11:16 chenson Fixed in Version => 3.2.0
2012-12-01 11:16 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000129
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6603
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3bdf79c9